<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__ble__service__api" kind="group">
    <compoundname>group_ble_service_api</compoundname>
    <title>BLE Service-Specific API</title>
    <innergroup refid="group__group__ble__service__api__events">BLE Service-Specific Events</innergroup>
    <innergroup refid="group__group__ble__service__api___a_n_c_s">Apple Notification Center Service (ANCS)</innergroup>
    <innergroup refid="group__group__ble__service__api___a_n_s">Alert Notification Service (ANS)</innergroup>
    <innergroup refid="group__group__ble__service__api___a_i_o_s">Automation IO Service (AIOS)</innergroup>
    <innergroup refid="group__group__ble__service__api___b_a_s">Battery Service (BAS)</innergroup>
    <innergroup refid="group__group__ble__service__api___b_c_s">Body Composition Service (BCS)</innergroup>
    <innergroup refid="group__group__ble__service__api___b_l_s">Blood Pressure Service (BLS)</innergroup>
    <innergroup refid="group__group__ble__service__api___b_m_s">Bond Management Service (BMS)</innergroup>
    <innergroup refid="group__group__ble__service__api___c_g_m_s">Continuous Glucose Monitoring Service (CGMS)</innergroup>
    <innergroup refid="group__group__ble__service__api___c_p_s">Cycling Power Service (CPS)</innergroup>
    <innergroup refid="group__group__ble__service__api___c_s_c_s">Cycling Speed and Cadence Service (CSCS)</innergroup>
    <innergroup refid="group__group__ble__service__api___c_t_s">Current Time Service (CTS)</innergroup>
    <innergroup refid="group__group__ble__service__api___d_i_s">Device Information Service (DIS)</innergroup>
    <innergroup refid="group__group__ble__service__api___e_s_s">Environmental Sensing Service (ESS)</innergroup>
    <innergroup refid="group__group__ble__service__api___g_l_s">Glucose Service (GLS)</innergroup>
    <innergroup refid="group__group__ble__service__api___h_i_d_s">HID Service (HIDS)</innergroup>
    <innergroup refid="group__group__ble__service__api___h_r_s">Heart Rate Service (HRS)</innergroup>
    <innergroup refid="group__group__ble__service__api___h_p_s">HTTP Proxy Service (HPS)</innergroup>
    <innergroup refid="group__group__ble__service__api___h_t_s">Health Thermometer Service (HTS)</innergroup>
    <innergroup refid="group__group__ble__service__api___i_a_s">Immediate Alert Service (IAS)</innergroup>
    <innergroup refid="group__group__ble__service__api___i_p_s">Indoor Positioning Service (IPS)</innergroup>
    <innergroup refid="group__group__ble__service__api___l_l_s">Link Loss Service (LLS)</innergroup>
    <innergroup refid="group__group__ble__service__api___l_n_s">Location and Navigation Service (LNS)</innergroup>
    <innergroup refid="group__group__ble__service__api___n_d_c_s">Next DST Change Service (NDCS)</innergroup>
    <innergroup refid="group__group__ble__service__api___p_a_s_s">Phone Alert Status Service (PASS)</innergroup>
    <innergroup refid="group__group__ble__service__api___p_l_x_s">Pulse Oximeter Service (PLXS)</innergroup>
    <innergroup refid="group__group__ble__service__api___r_s_c_s">Running Speed and Cadence Service (RSCS)</innergroup>
    <innergroup refid="group__group__ble__service__api___r_t_u_s">Reference Time Update Service (RTUS)</innergroup>
    <innergroup refid="group__group__ble__service__api___s_c_p_s">Scan Parameters Service (ScPS)</innergroup>
    <innergroup refid="group__group__ble__service__api___t_p_s">TX Power Service (TPS)</innergroup>
    <innergroup refid="group__group__ble__service__api___u_d_s">User Data Service (UDS)</innergroup>
    <innergroup refid="group__group__ble__service__api___w_p_t_s">Wireless Power Transfer Service (WPTS)</innergroup>
    <innergroup refid="group__group__ble__service__api___w_s_s">Weight Scale Service (WSS)</innergroup>
    <innergroup refid="group__group__ble__service__api__custom">Custom Service</innergroup>
    <briefdescription>
<para>This section describes BLE Service-specific API. </para>    </briefdescription>
    <detaileddescription>
<para>The Service API are only included in the design if the Service is added to the selected Profile in the Bluetooth Configurator. These are interfaces for the BLE application to use during BLE connectivity. The service-specific API internally use the BLE Stack API to achieve the Service use case. Refer to the <ulink url="https://www.bluetooth.org/en-us/specification/adopted-specifications">Special Interest Group Web Site</ulink> for links to the latest specifications and other documentation.</para><para>Many of the API will generate Service-specific events. The events are also used in the Service-specific callback functions. These are documented in:<itemizedlist>
<listitem><para><ref kindref="compound" refid="group__group__ble__service__api__events">BLE Service-Specific Events</ref> </para></listitem></itemizedlist>
</para>    </detaileddescription>
  </compounddef>
</doxygen>